function [num_flight_plans,n_max,time_occupancy,spatial_density] = ...
    UR_ICRA_data(f_name)
%

load(f_name);

h_t = 1;
lanes = g_airways.corridors;
num_lanes = length(lanes(:,1));
lane_length = zeros(num_lanes,1);
for c = 1:num_lanes
    lane_length(c) = norm(lanes(c,1:3)-lanes(c,4:6));
    n_max(c) = lane_length(c)/h_t;
end

num_flight_plans = length(g_flight_plans);
max_time = 0;
for p = 1:num_flight_plans
    m = g_flight_plans(p).data(end,2);
    if max_time<m
        max_time = ceil(m);
    end
end

occupied = zeros(max_time,num_lanes);
time_occupancy = zeros(max_time,num_lanes);
spatial_density = zeros(max_time,num_lanes);
spatial_occupancy = zeros(max_time,num_lanes);
for c = 1:num_lanes
    flights = g_flights(c).flights;
    if ~isempty(flights)
        num_flights = length(flights(:,1));
        for f = 1:num_flights
            t1 = max(1,floor(flights(f,1)));
            t2 = ceil(flights(f,2));
            occupied(t1:t2,c) = occupied(t1:t2,c) + 1;
        end
    end
    time_occupancy(:,c) = occupied(:,c)./n_max(c);
    spatial_density(:,c) = occupied(:,c)/lane_length(c);
    spatial_occupancy(:,c) = time_occupancy(:,c)*n_max(c)/lane_length(c);
end


tch = 0;
