function UR_URBAN_sim_EB(t_max)
% UR_URBAN_sim_EB - simulate flights with EAE SLC street data
% On input:
%     t_max (float): max time to run simulation
% On output:
%     N/A
% Call:
%     UR_URBAN_sim_SLC(100);
% Author:
%     T. Henderson
%     UU
%     Summer 2019
%

% Set path to UAS functions
path(path,'C:\Users\user\Documents\MATLAB\URBAN-SIM\UAS');

% flight manager file name
f_FM = 'UR_flight_manager';

% USS file names
USS(1).name = 'UR_USS_1';
% USS(2).name = 'UR_USS_23';

% MirrorWorld file name
f_MW = 'UR_MW';

% Set up roads (two end points, one edge)
%roads = UR_gen_roads_fixed1;
%roads = UR_gen_roads_fixed3x3;

load('EB_ve');

roads.vertexes = vertexes;
roads.edges = edges;

% Specify launch sites
fid = fopen('LAUNCH_SITES','w');
for e = 1:35
    fprintf(fid,'%d\n',e);
end
fclose(fid);

% Specify launch sites
fid = fopen('LAND_SITES','w');
for e = 1:35
    fprintf(fid,'%d\n',e);
end
fclose(fid);

t= 0;
while t<t_max&~UR_exit_flag
    t = t + 1
    UR_run_USS(USS,t);
    [airways,flight_plans,flights] = UR_flight_manager(roads,...
        'sim_data_SLC.txt','UR_A2_policy');
    tch = 0;
end
[coco,trtr] = UR_gen_graphics_data(airways,flight_plans,...
    'cocoSLC','trtrSLC',1,1);
% M = UR_MW_vis(airways,flight_plans,1,8,20,50);
tch = 0;
