function nf = UR_URBAN_sim_Renyi(t_max,ss,s_name,f_data,f_policy)
% UR_URBAN_sim1 - simulate a one edge airway with uniform packing
% On input:
%     t_max (float): max time to simulate
%     ss (int): save session flag (1: yes; 0: no)
%     s_name (string): file name for session data
%     f_data (string): file name with scenario data
%     f_policy (string): name of launch policy function
% On output:
%     N/A
% Call:
%     clear all
%     rng('default');  % to get repeat result
%     UR_URBAN_sim_Renyi(1000,0,[],'sim_Renyi_data.txt','UR_A1_policy');
% Author:
%     T. Henderson
%     University of Utah
%     Summer 2019
%

% Set path to tch library
path(path,'C:\Users\user\Documents\MATLAB\tchlib');

% flight manager file name
f_FM = 'UR_flight_manager';

% USS file names
USS(1).name = 'UR_USS_1';

% Set up roads (two end points, one edge)
roads = UR_gen_roads_fixed1;

% Specify launch sites
fid = fopen('LAUNCH_SITES','w');
for e = 1:2
    fprintf(fid,'%d\n',e);
end
fclose(fid);

% Specify launch sites
fid = fopen('LAND_SITES','w');
for e = 1:2
    fprintf(fid,'%d\n',e);
end
fclose(fid);

t= 0;
while t<t_max&~UR_exit_flag
    t = t + 1
    UR_run_USS(USS,t);
    [airways,flight_plans,flights] = UR_flight_manager(roads,...
        f_data,f_policy);
    if UR_error(flights)
        tch = 0;
    end
end
if ss==1
    UR_save_session_data(s_name);
end
tch = 0;
nf = size(flight_plans,2);
