function [corridors,traj] = UR_gen_graphics_data(airways,flight_plans,...
    f_corr,f_traj,cf,tf)
%

% Corridors
corridors = airways.corridors;
num_corridors = length(corridors(:,1));
if cf==1
    fid_corr = fopen(f_corr,'w');
    for c = 1:num_corridors
        fprintf(fid_corr,'%f %f %f %f %f %f %f\n',corridors(c,1:7));
    end
    fclose(fid_corr);
end

% Flight trajectories
num_flight_plans = length(flight_plans);
times = zeros(num_flight_plans,1);
for t = 1:num_flight_plans
    times(t) = ceil(flight_plans(t).data(end,2));
end
max_time = max(times);
traj = zeros(max_time,3*num_flight_plans);
for p = 1:num_flight_plans
    data = flight_plans(p).data;
    num_lanes = length(data(:,1));
    offset = (p-1)*3;
    for k = 1:num_lanes
        lane = data(k,4);
        x1 = corridors(lane,1);
        y1 = corridors(lane,2);
        z1 = corridors(lane,3);
        x2 = corridors(lane,4);
        y2 = corridors(lane,5);
        z2 = corridors(lane,6);
        time1 = ceil(data(k,1));
        time2 = ceil(data(k,2));
        for t = time1:time2
            x = ((t-time1)/(time2-time1))*(x2-x1) + x1;
            y = ((t-time1)/(time2-time1))*(y2-y1) + y1;
            z = ((t-time1)/(time2-time1))*(z2-z1) + z1;
            if k==1&t==time1&time1>1
                traj(1:time1-1,offset+1) = x;
                traj(1:time1-1,offset+2) = y;
                traj(1:time1-1,offset+3) = z;
            end
            if k==num_lanes&t==time2&time2<max_time
                traj(time2:end,offset+1) = x;
                traj(time2:end,offset+2) = y;
                traj(time2:end,offset+3) = z;
            end
            traj(t,offset+1) = x;
            traj(t,offset+2) = y;
            traj(t,offset+3) = z;
        end
    end
end
if tf==1
    fid_traj = fopen(f_traj,'w');
    [num_rows,num_cols] = size(traj);
    for r = 1:num_rows
        for c = 1:num_cols
            fprintf(fid_traj,'%f ',traj(r,c));
        end
        fprintf(fid_traj,'\n');
    end
    fclose(fid_traj);
end

tch = 0;
