function roads = UR_gen_roads_fixed3x3
% UR_gen_roads_fixed3x3 - generate 3x3 grid of roads
% On inout:
%     N/A
% On output:
%     roads (road struct): describes roads
%       .vertexes (nx2 array): 2D vertexes of roads
%       .edges (kx2 array): edges (as road vertex pairs)
% Call:
%     roads = UR_gen_fixed3x3;
% Author:
%     T. Henderson
%     UU
%     Summer 2019
%

DIST_EPS = 0.01;
INT_THRESH = 0.1;
MIN_DIST = 0.5;

vertexes = zeros(9,3);
vertexes(1,1:2) = [0,0];
vertexes(2,1:2) = [100,0];
vertexes(3,1:2) = [200,0];
vertexes(4,1:2) = [0,100];
vertexes(5,1:2) = [100,100];
vertexes(6,1:2) = [200,100];
vertexes(7,1:2) = [0,200];
vertexes(8,1:2) = [100,200];
vertexes(9,1:2) = [200,200];

edges(1,:) = [1,2];
edges(2,:) = [1,4];
edges(3,:) = [2,3];
edges(4,:) = [2,5];
edges(5,:) = [3,6];
edges(6,:) = [4,5];
edges(7,:) = [4,7];
edges(8,:) = [5,6];
edges(9,:) = [5,8];
edges(10,:) = [6,9];
edges(11,:) = [7,8];
edges(12,:) = [8,9];

roads.vertexes = vertexes;
roads.edges = edges;

tch = 0;
